%define date		20160117
%define time		2245
%define tarname		%{name}-snapshot-%{date}-%{time}-stable

%define major		148
%define libname		%mklibname %{name}
%define develname	%mklibname %{name} -d

%define rel	3

Name: 		x264
Version: 	1.%{major}
Release: 	%mkrel 1
Summary: 	H264/AVC encoder
License: 	GPLv2+
Group: 		Video/Utilities
URL: 		http://www.videolan.org/developers/x264.html
Source0: 	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%{tarname}.tar.bz2
Patch1:		x264-use-upstream-opt-level.diff
Patch2:		x264-gpac-link.patch

BuildRequires:	ffmpeg-devel
BuildRequires:	git-core
BuildRequires:	gpac-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	yasm

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in tainted repository as the video encoder may be covered
by software patents.

#------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Shared library of x264
Group:		System/Libraries

%description -n %{libname}
x264 dynamic libraries.

#------------------------------------------------------------------------

%package -n	%{develname}
Summary:	H264/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Obsoletes:	%mklibname -d %{name}_ 54

%description -n %{develname}
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

#------------------------------------------------------------------------
%prep
%setup -q -n %{tarname}
perl -pi -e 's|usr/local|usr||g' configure
%patch1 -p0
%patch2 -p1 -b .gpac-link

%build
%configure2_5x \
%ifarch armv5tl
                --disable-asm \
%endif
		--enable-shared \
		--system-libx264 \
		--enable-pic

%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc AUTHORS doc/*
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx264.so.%{major}*

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}*.h
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Mon Oct 17 2016 adrianomorselli <adrianomorselli> 1.148-1uplos2016
- update
